package CoR02;

import java.util.ArrayList;

public abstract class Handler {
    Handler nextHandler;
    
    protected void setNextHandler(Handler handler) {
	this.nextHandler = handler;
    }
  
    protected void setNextHandlers(ArrayList<Handler> handlers) {
	for (int i = 0; i < handlers.size() - 1; i++) {
	    handlers.get(i).setNextHandler(handlers.get(i + 1));
	}
    }
    
    abstract void checkRequest(Request request);
}
